package cn.pluss.platform.roleUserInfo.impl;

import cn.pluss.platform.entity.RoleUserInfo;
import cn.pluss.platform.mapper.RoleUserInfoMapper;
import cn.pluss.platform.roleUserInfo.RoleUserInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Transactional
@Service("roleUserInfoService")
public class RoleUserInfoServiceImpl extends ServiceImpl<RoleUserInfoMapper, RoleUserInfo> implements RoleUserInfoService {

    @Override
    public List<RoleUserInfo> queryRoleUserInfoList(RoleUserInfo roleUserInfo) {
        return baseMapper.queryRoleUserInfoList(roleUserInfo);
    }

    @Override
    public void saveRoleUserInfo(RoleUserInfo roleUserInfo) {
        baseMapper.saveRoleUserInfo(roleUserInfo);
    }

    @Override
    public void deleteRoleUserInfo(RoleUserInfo roleUserInfo) {
        baseMapper.deleteRoleUserInfo(roleUserInfo);
    }

}

